{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1> {{ todolist.name }} </h1>
                <div>
                    <p>
                        <a href="{% url 'list_todos' %}">Back to My Lists</a>
                    </p>
                    <p>
                        <a href="{% url 'update_todolist' todolist.pk %}">Edit List</a>
                    </p>
                    <p>
                        <a href="{% url 'delete_todolist' todolist.pk %}">Delete List</a>
                    </p>
                </div>
            <h2> Tasks </h2>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% comment %} todolist.items.all references the foreign key in the TodoItem model {% endcomment %}
                        {% for item in todolist.items.all %}
                        <tr>
                            {% comment %} variables are pulled from TodoItem foreignkey {% endcomment %}
                            <td> 
                                <a href="{% url 'update_todoitem' item.id %}">{{ item.task }}</a>
                            </td>
                            <td> {{ item.due_date | date:"M d, Y" }} </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
        </div>
    </main>
{% endblock content %}